jeudi 11 juin 2009

Val(a)IDE 0.5

I am pleased to announce version 0.5 of Val(a)IDE.

The sources and the binary packages (archlinux, debian, fedora and MS Windows) are available for download at:
http://www.valaide.org/content/download

Changes since 0.4

* Support for genie
* Autocompletion
* Calltips
* Fullscreen mode
* Unique instance
* Replace function
* Syntax highlight scheme color
* Bugfixes

What is Val(a)IDE

Val(a)IDE is an Integrated Development Environment (IDE) for the Vala
programming language.

Val(a)IDE is written in Vala and and offers the following features:
* Syntax highlighting for Vala and Genie
* Project manager (build/execute)
* Plugins: symbols browser, tasks manager, files browser, autocompletion

For more information see: http://www.valaide.org/

Thank's to everyone who helped me for this new version!

The Val(a)IDE developer
Nicolas Joseph

3 commentaires:

  1. En installant le .deb sur ubuntu j'ai ce message d'erreur: Error: Dependency is not satisfiable: libsqlite3-0 (>= 3.6.14.2)

    La version installée sur ma machine est celle d'ubuntu: 3.6.10-1ubuntu0... Ou est-ce que je trouve la 3.6.14?

    RépondreSupprimer
  2. Bonjour,

    Le paquet est prévu pour Debian, je n'ai pas testé sous Ubuntu.

    Mais la version demandée me semble étrange, pourrais tu poster ce bug pour que je m'en souvienne (et ce sera plus simple pour discuter) : http://code.google.com/p/valide/issues/list

    Merci.

    RépondreSupprimer
  3. Hi!
    You've done a really good work! I'm using Val(a)IDE on Ubuntu Jaunty, with vala-related and sqlite3 packages installed from the karmic release.

    It kinda works pretty well, but I can't get autocompletion to work. I've added the correct VAPI directory (that under /usr/share/vala) but unfortunately nothing happens when I press the CTRL+Space combination. Hints?

    Anyway, it's a good IDE already, and I'm waiting for Waf support! ;)

    RépondreSupprimer